/*
  MongoDB database load script

*/

var dbName = 'ECDB_master';

/* Sequence number generator for specified collection */
function counter(cname) {
    var c = db.COUNTER.findAndModify({query : {"_id" : cname}, update : {$inc : {"lastSeqNum" : 1}}, "new":true, upsert:true});
    return c.lastSeqNum;
}

/* Set logging level */
db.adminCommand({setParameter:1, logLevel:1})

db = db.getMongo().getDB(dbName);

/* Set initial value of lastSeqNum in collection COUNTER to be 1000 */
db.COUNTER.insert({_id:"ASSET", "lastSeqNum" : 1000});
db.COUNTER.insert({_id:"BLOB", "lastSeqNum" : 1000});
db.COUNTER.insert({_id:"IBMFCM", "lastSeqNum" : 1000});
db.COUNTER.insert({_id:"DPX", "lastSeqNum" : 1000 });
db.COUNTER.insert({_id:"HYPERVISOR", "lastSeqNum" : 1000 });
db.COUNTER.insert({_id:"IBMSVC", "lastSeqNum" : 1000 });
db.COUNTER.insert({_id:"EMCVNX", "lastSeqNum" : 1000 });
db.COUNTER.insert({_id:"NETAPP", "lastSeqNum" : 1000 });
db.COUNTER.insert({_id:"VCLOUD", "lastSeqNum" : 1000 });
db.COUNTER.insert({_id:"VSPHERE", "lastSeqNum" : 1000 });
db.COUNTER.insert({_id:"SMTP", "lastSeqNum" : 1000 });
db.COUNTER.insert({_id:"ENDEAVOURPOLICY", "lastSeqNum" : 1000 });
db.COUNTER.insert({_id:"ENDEAVOURJOB", "lastSeqNum" : 1000 });
db.COUNTER.insert({_id:"ENDEAVOURTRIGGERJOB", "lastSeqNum" : 1000 });
db.COUNTER.insert({_id:"ENDEAVOURTASK", "lastSeqNum" : 1000 });
db.COUNTER.insert({_id:"REPORT", "lastSeqNum" : 1000});
db.COUNTER.insert({_id:"SITE", "lastSeqNum" : 1000 });
db.COUNTER.insert({_id:"SECURITYEVENT", "lastSeqNum" : 1000 });
db.COUNTER.insert({_id:"SCHEDULE", "lastSeqNum" : 1000 });
db.COUNTER.insert({_id:"USER", "lastSeqNum" : 1000 });
db.COUNTER.insert({_id:"ROLE", "lastSeqNum" : 1000 });
db.COUNTER.insert({_id:"RESOURCEPOOL", "lastSeqNum" : 1000 });
db.COUNTER.insert({_id:"VMCREDENTIAL", "lastSeqNum" : 1000 });
db.COUNTER.insert({_id:"APPLICATIONSERVER", "lastSeqNum" : 1000 });
db.COUNTER.insert({_id:"APPLICATIONCREDENTIAL", "lastSeqNum" : 1000 });
db.COUNTER.insert({_id:"IDENTITYUSER", "lastSeqNum" : 1000 });
db.COUNTER.insert({_id:"IDENTITYKEY", "lastSeqNum" : 1000 });
db.COUNTER.insert({_id:"AWS", "lastSeqNum" : 1000 });
db.COUNTER.insert({_id:"PURESTORAGE", "lastSeqNum" : 1000 });
db.COUNTER.insert({_id:"IBMXIV", "lastSeqNum" : 1000 });
db.COUNTER.insert({_id:"SUBPOLICY", "lastSeqNum" : 1000 });


/* create default site in collection SITE */
db.SITE.insert({ "entityId" : NumberInt(1000), "name" : 'Primary', "description" : 'Primary Site', "storageType": "NONE", "defaultSite" : true, "loadBalanceRatio": NumberInt(50) });

/* Load prestaged data documents */

print("MongoDB database load completed");

